[karmic]Firmware for qla12160 failed to load in initrd

Bug #381037 reported by Martin Hamrle on 2009-05-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Tim Gardner
Karmic
Undecided
Tim Gardner
udev (Ubuntu)
High
Unassigned
Karmic
High
Unassigned

Bug Description

Binary package hint: linux-image-2.6.30-6-generic

I have root volume on storage controller ISP12160 so I need to load module qla1280 and firmware qlogic/12160.bin .
With 2.6.28-9-generic everything works fine,
with 2.6.30-6-generic there is problem to find firmware. In generated initrd.img-2.6.30-6-generic there is appropriate firmware but no scripts to load it on kernel request (if I load firmware by hand, boot continues without problems).

There is also another difference 2.6.28-11-generic/kernel/drivers/scsi/qla1280.ko has firmwares compiled inside module.

Colin Watson (cjwatson) wrote :

udev is responsible for shipping the firmware loader in the initramfs. I think we forgot that some SCSI drivers have firmware too the last time we had this discussion ...

tags: added: regression-potential
affects: linux (Ubuntu) → udev (Ubuntu)
Changed in udev (Ubuntu):
status: New → Triaged
importance: Undecided → High

Actually, this needs more than the loader it needs the rules too

affects: udev (Ubuntu Karmic) → initramfs-tools (Ubuntu Karmic)
affects: initramfs-tools (Ubuntu Karmic) → udev (Ubuntu Karmic)
Tim Gardner (timg-tpi) wrote :
Changed in linux (Ubuntu Karmic):
assignee: nobody → Tim Gardner (timg-tpi)
milestone: none → karmic-updates
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 147~-6

---------------
udev (147~-6) karmic; urgency=low

  * debian/udev.initramfs-hook:
    - Include the firmware helper. LP: #381037.

 -- Scott James Remnant <email address hidden> Thu, 15 Oct 2009 20:47:20 +0100

Changed in udev (Ubuntu Karmic):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.31-14.48

---------------
linux (2.6.31-14.48) karmic; urgency=low

  [ Colin Watson ]

  * Add more e100 firmware to nic-modules
    - LP: #451872
  * Add qla1280 firmware to scsi-modules
    - LP: #381037

 -- Andy Whitcroft <email address hidden> Fri, 16 Oct 2009 09:31:45 +0100

Changed in linux (Ubuntu Karmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers